Domains
All operations require authentication.
List domainsProduction
List domains. Returns the names of the domains of the service. Filter them by state, or set main to get the main domain only.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Query parameters
Filter the value of main property (like)
Filter the value of state property (=)
creatingdeletinginternalMigrationokreopeningsuspendedsuspendingResponse
Example uses exchangeService = string, organizationName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ domain \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a domainProduction
Get a domain. Returns the type, state and validation status of the domain, its expected and configured MX, SPF and SRV records, and its DKIM diagnostics.
Path parameters
Domain name
The internal name of your exchange service
The internal name of your exchange organization
Response
Cname that will be checked to prove the domain ownership
DKIM diagnostics on this domain
List of aliases for this domain
Domain validation status
Expected SRV record on this domain
Expected MX record(s) on this domain
Expected SPF record on this domain
Indicate if this domain is an alias for another domain
If true this is an organization (Exchange 2010 only)
If true your dns mx configuration is valid
Domain MX record configured in DNS
If specified, emails to not existing address will be redirected to that domain
Domain name
If specified, indicates to which organization this domain belongs (Exchange 2010 only)
Relay domain address that will be used to all newly created accounts
Send connector id that will be used to all newly created accounts
Wether your SPF record is valid
Domain's SPF record configured in the DNS
If true your dns srv record is valid
Domain SRV record configured in DNS
Domain state
creatingdeletinginternalMigrationokreopeningsuspendedsuspendingPending taks id
Domain type
authoritativenonAuthoritativeExample uses domainName = string, exchangeService = string, organizationName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ domain/ {domainName} \
-H "authorization: Bearer $OVH_TOKEN"{ "cnameToCheck": "string", "dkimDiagnostics": { "errorCode": 0, "message": "string", "state": "active" }, "domainAliases": [ "string" ], "domainValidated": true, "expectedAutodiscoverSRV": "string", "expectedMX": [ "string" ], "expectedSPF": "string", "isAliasDomain": true, "main": true, "mxIsValid": true, "mxRecord": [ "string" ], "mxRelay": "string", "name": "string", "organization2010": "string", "sbrDefault": "string", "sendConnectorIdDefault": 0, "spfIsValid": true, "spfRecord": [ "string" ], "srvIsValid": true, "srvRecord": [ "string" ], "state": "creating", "taskPendingId": 0, "type": "authoritative"}
Add a domainProduction
Add a domain. Adds an authoritative or non-authoritative domain to the service and returns the task. For a domain hosted by OVHcloud, the MX, SPF, autodiscover and DKIM records can be configured automatically.
Path parameters
The internal name of your exchange service
The internal name of your exchange organization
Request body (required)
Enable DKIM automatically after DKIM configuration
If you host domain in OVH we can configure autodiscover record automatically
Launch configuration of DKIM automatically for the domain
If you host domain in OVH we can configure mx record automatically
Enable automatic SPF record (only for domains hosted by OVHcloud)
This newly created domain will be an organization (Exchange 2010 only)
If specified, emails to not existing address will be redirected to that domain
Domain to install on server
If specified, indicates which organization this newly created domain will be part of (Exchange 2010 only)
Default Sender base routing destination domain applied on all new created accounts
Default Sender Connector id applied on all new created accounts
Type of domain that You want to install
authoritativenonAuthoritativeResponse
Completion date
Function name
activateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016Task id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses exchangeService = string, organizationName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ domain \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Remove a domainProduction
Remove a domain. Detaches the domain from the Exchange service, which no longer serves email addresses on it, and returns the task.
Path parameters
Domain name
The internal name of your exchange service
The internal name of your exchange organization
Response
Completion date
Function name
activateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016Task id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses domainName = string, exchangeService = string, organizationName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ domain/ {domainName} \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Update a domainProduction
Update a domain. Updates the type of the domain and mxRelay, the domain that receives the emails sent to addresses that do not exist.
Path parameters
Domain name
The internal name of your exchange service
The internal name of your exchange organization
Request body (required)
Cname that will be checked to prove the domain ownership
DKIM diagnostics on this domain
List of aliases for this domain
Domain validation status
Expected SRV record on this domain
Expected MX record(s) on this domain
Expected SPF record on this domain
Indicate if this domain is an alias for another domain
If true this is an organization (Exchange 2010 only)
If true your dns mx configuration is valid
Domain MX record configured in DNS
If specified, emails to not existing address will be redirected to that domain
Domain name
If specified, indicates to which organization this domain belongs (Exchange 2010 only)
Relay domain address that will be used to all newly created accounts
Send connector id that will be used to all newly created accounts
Wether your SPF record is valid
Domain's SPF record configured in the DNS
If true your dns srv record is valid
Domain SRV record configured in DNS
Domain state
creatingdeletinginternalMigrationokreopeningsuspendedsuspendingPending taks id
Domain type
authoritativenonAuthoritativeResponse
Example uses domainName = string, exchangeService = string, organizationName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ domain/ {domainName} \
-H "authorization: Bearer $OVH_TOKEN"Change the default sender-based routingProduction
Change the default sender-based routing. Sets the destination domain (sbrDefault) and the send connector (sendConnectorIdDefault) applied to all new accounts of the domain.
Path parameters
Domain name
The internal name of your exchange service
The internal name of your exchange organization
Request body (required)
Default Sender base routing destination domain applied on all new created accounts
Default Sender Connector id applied on all new created accounts
Response
Example uses domainName = string, exchangeService = string, organizationName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ domain/ {domainName}/ changeDefaultSBR \
-H "authorization: Bearer $OVH_TOKEN"List DKIM selectorsProduction
List DKIM selectors. Returns the names of the DKIM selectors of the domain. Get one to read its DNS record and its status.
Path parameters
Domain name
The internal name of your exchange service
The internal name of your exchange organization
Response
Example uses domainName = string, exchangeService = string, organizationName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ domain/ {domainName}/ dkim \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a DKIM selectorProduction
Get a DKIM selector. Returns the status of the DKIM selector, the DNS record to create (name, type and target) and whether the CNAME record is valid.
Path parameters
Domain name
The internal name of your exchange service
The internal name of your exchange organization
selectorName
Response
If true your dns cname configuration is valid
customer dns record
header used for dkim signature
Last update date
Record type of the customer record
selectorName
dkim status
deletingdisablingenablinginProductionreadytodowaitingRecordTarget of the customer record
Pending task for this DKIM
Example uses domainName = string, exchangeService = string, organizationName = string, selectorName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ domain/ {domainName}/ dkim/ {selectorName} \
-H "authorization: Bearer $OVH_TOKEN"{ "cnameIsValid": true, "customerRecord": "string", "header": "string", "lastUpdate": "2024-01-01T12:00:00Z", "recordType": "string", "selectorName": "string", "status": "deleting", "targetRecord": "string", "taskPendingId": 0}
Create a DKIM selectorProduction
Create a DKIM selector. Creates a DKIM selector on the domain and returns the task. For a domain hosted by OVHcloud, configureDkim creates the DNS record and autoEnableDKIM enables the selector once configured.
Path parameters
Domain name
The internal name of your exchange service
The internal name of your exchange organization
Request body (required)
Enable DKIM automatically after DKIM configuration
If you host domain in OVH we can configure dkim dns record automatically
selector name for DKIM
Response
Completion date
Function name
activateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016Task id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses domainName = string, exchangeService = string, organizationName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ domain/ {domainName}/ dkim \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Delete a DKIM selectorProduction
Delete a DKIM selector. Removes the DKIM selector and its key from the domain of the Exchange service, and returns the task.
Path parameters
Domain name
The internal name of your exchange service
The internal name of your exchange organization
selectorName
Response
Completion date
Function name
activateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016Task id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses domainName = string, exchangeService = string, organizationName = string, selectorName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ domain/ {domainName}/ dkim/ {selectorName} \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Disable DKIM signingProduction
Disable DKIM signing. Stops signing the emails of the domain with this DKIM selector, and returns the task. The selector is kept.
Path parameters
Domain name
The internal name of your exchange service
The internal name of your exchange organization
selectorName
Response
Completion date
Function name
activateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016Task id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses domainName = string, exchangeService = string, organizationName = string, selectorName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ domain/ {domainName}/ dkim/ {selectorName}/ disable \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Enable DKIM signingProduction
Enable DKIM signing. Enables DKIM signing with the selector, or switches the selector in use to this one, and returns the task.
Path parameters
Domain name
The internal name of your exchange service
The internal name of your exchange organization
selectorName
Response
Completion date
Function name
activateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016Task id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses domainName = string, exchangeService = string, organizationName = string, selectorName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ domain/ {domainName}/ dkim/ {selectorName}/ enable \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
List available DKIM selectorsProduction
List available DKIM selectors. Returns the selector names that can be used to create a DKIM selector on the domain.
Path parameters
Domain name
The internal name of your exchange service
The internal name of your exchange organization
Response
Example uses domainName = string, exchangeService = string, organizationName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ exchange/ {organizationName}/ service/ {exchangeService}/ domain/ {domainName}/ dkimSelector \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
List UPN suffixesProduction
List UPN suffixes. Returns the UPN suffixes of the Active Directory service. Get one to read its state and the CNAME to check.
Path parameters
The internal name of your Active Directory organization
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ msServices/ {serviceName}/ upnSuffix \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a UPN suffixProduction
Get a UPN suffix. Returns the state of the UPN suffix, the CNAME record used to verify it and whether its ownership is validated.
Path parameters
The internal name of your Active Directory organization
UPN suffix
Response
Cname record used for UPN suffix verification
Ownership for upn suffix confirmed
UPN suffix state
creatingdeletingokUPN suffix
Pending task for this upnSuffix
Example uses serviceName = string, suffix = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ msServices/ {serviceName}/ upnSuffix/ {suffix} \
-H "authorization: Bearer $OVH_TOKEN"{ "cnameToCheck": "string", "ownershipValidated": true, "state": "creating", "suffix": "string", "taskPendingId": 0}
Create a UPN suffixProduction
Create a UPN suffix. Adds a UPN suffix to the Active Directory service and returns the task. Its ownership is verified with the CNAME record given in cnameToCheck.
Path parameters
The internal name of your Active Directory organization
Request body (required)
UPN suffix to create
Response
Completion date
Function name
activateADSyncactivateSharepointaddADAccountaddADOUaddADSyncAccountaddADUPNSuffixalterMfaOnAllUserschangeADPasswordchangeADSyncPassworddeactivateADSyncdelADOUdeleteADAccountdeleteADSyncAccountdeleteADUPNSuffixdisableADAccountMfadisableADAccountMfaTemporaryenableADAccountMfaenableADSyncAccountgenerateADSyncClientUrlresetADAccountMfasetADAccountsetPasswordPolicyTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ msServices/ {serviceName}/ upnSuffix \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateADSync", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}
Delete a UPN suffixProduction
Delete a UPN suffix. Removes the UPN suffix from the Active Directory service, so that user names can no longer use it, and returns the task.
Path parameters
The internal name of your Active Directory organization
UPN suffix
Response
Completion date
Function name
activateADSyncactivateSharepointaddADAccountaddADOUaddADSyncAccountaddADUPNSuffixalterMfaOnAllUserschangeADPasswordchangeADSyncPassworddeactivateADSyncdelADOUdeleteADAccountdeleteADSyncAccountdeleteADUPNSuffixdisableADAccountMfadisableADAccountMfaTemporaryenableADAccountMfaenableADSyncAccountgenerateADSyncClientUrlresetADAccountMfasetADAccountsetPasswordPolicyTask id
Task status
cancelleddoingdoneerrortodoCreation date
Example uses serviceName = string, suffix = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ msServices/ {serviceName}/ upnSuffix/ {suffix} \
-H "authorization: Bearer $OVH_TOKEN"{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateADSync", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}